Eclipse Platform Release 3.7

## org.eclipse.jface.databinding.viewers
Class ViewerListProperty

    java.lang.Object
      org.eclipse.core.databinding.property.list.ListProperty
          org.eclipse.core.databinding.property.list.SimpleListProperty
              org.eclipse.jface.databinding.viewers.ViewerListProperty

All Implemented Interfaces:
  IProperty, IListProperty, IViewerListProperty

    public abstract class ViewerListProperty

extends SimpleListProperty
implements IViewerListProperty

Abstract list property implementation for `Viewer` properties. This class implements some basic behavior that viewer properties are generally expected to have, namely:

- Calling `observe(Object)` should create the observable on the display realm of the viewer's control, rather than the current default realm
- All `observe()` methods should return an `IViewerObservableList`

Since:
  1.3

Constructor Summary
`ViewerListProperty()`

Method Summary
`IObservableList` `observe(Object source)` Returns an observable list observing this list property on the given property source
`IObservableList` `observe(Realm realm, Object source)` Returns an observable list observing this list property on the given property source
`IViewerObservableList` `observe(Viewer viewer)` Returns an `IViewerObservableList` observing this list property on the given viewer

Methods inherited from class org.eclipse.core.databinding.property.list.SimpleListProperty
`adaptListener, doGetList, doSetList, doSetList, doUpdateList, setList`

Methods inherited from class org.eclipse.core.databinding.property.list.ListProperty
`getList, listFactory, listFactory, observeDetail, setList, updateList, values`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.core.databinding.property.list.IListProperty
`getElementType, getList, listFactory, listFactory, observeDetail, setList, updateList, values`

Constructor Detail

### ViewerListProperty

    public ViewerListProperty()

Method Detail

### observe

    public IObservableList observe(Object source)

  Description copied from interface: `IListProperty`
  Returns an observable list observing this list property on the given property source

  Specified by:
    `observe` in interface `IListProperty`
  Overrides:
    `observe` in class `ListProperty`
  Parameters:
    `source` - the property source
  Returns:
    an observable list observing this list property on the given property source

### observe

    public IObservableList observe(Realm realm,
                                   Object source)

  Description copied from interface: `IListProperty`
  Returns an observable list observing this list property on the given property source

  Specified by:
    `observe` in interface `IListProperty`
  Overrides:
    `observe` in class `SimpleListProperty`
  Parameters:
    `realm` - the observable's realm
    `source` - the property source
  Returns:
    an observable list observing this list property on the given property source

### observe

    public IViewerObservableList observe(Viewer viewer)

  Description copied from interface: `IViewerListProperty`
  Returns an `IViewerObservableList` observing this list property on the given viewer

  Specified by:
    `observe` in interface `IViewerListProperty`
  Parameters:
    `viewer` - the source viewer
  Returns:
    an observable list observing this list property on the given viewer

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.